<template>
  <div v-if="dashboardStore.isFreePackage" class="fixed top-0 left-0 w-screen h-screen bg-white z-40 flex flex-col items-center justify-center ">
    <div class="relative flex h-full w-full justify-center items-center">
      <div class="relative block h-auto">
        
        <div class="relative block text-center">
          <h1 class="text-lg font-bold block mb-2 text-gray-600">
            Paket Anda Telah Habis
          </h1>
          <h4 class="text-md text-gray-600">
            Silakan Top Up Paket Anda Terlebih Dahulu
          </h4>
        </div>
        <div class="relative b qlock overflow-hidden">
          <NoPackage/>
        </div>
        <div class="relative block">
          <center>
          <button @click.prevent="backOffice()"
          class="btn btn-primary normal-case flex items-center hover:bg-scheme-primary hover:bg-opacity-90 text-white px-8">
            <span>Kembali ke Back Office</span>
          </button>
        </center>
        </div>
      </div>
    </div>
  </div>
</template>

<script setup lang="ts">
import NoPackage from "../Icon/NoPackage.vue"
import {useDashboardStore} from "../../stores/dashboard";
import helpers from "../../utils/helpers";

const dashboardStore = useDashboardStore()

const backOffice = async () => {
    window.location.href = helpers.goToBackoffice()
}
</script>
